package br.ufpe.cin.excel;

import java.io.InputStream;
import java.io.FileInputStream;
import java.io.IOException;
import br.ufpe.cin.allocationSystem.util.Console;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.hssf.usermodel.HSSFSheet;

public class ExcelWorkbook {


       private HSSFWorkbook hssfWorkbook;
       
       public ExcelWorkbook ( String nomeDoArquivo ){
           try{
               FileInputStream fis = new FileInputStream(nomeDoArquivo);
               HSSFWorkbook tmp = new HSSFWorkbook (fis);
               this.setHSSFWorkbook (tmp);
           } catch (IOException e) {
               Console console = new Console ();
               console.println ("Exception: Problem during file reading ...");
               console.println ("\tIn constructor \"ExcelWorkbook\" of class \"ExcelWorkbook\".");
	       } 
       }  

       protected void setHSSFWorkbook (HSSFWorkbook hssfWorkbook) {
            
            if (hssfWorkbook != null) {
                this.hssfWorkbook = hssfWorkbook;
            } else {
                Console console = new Console ();
                console.println ("Exception: Null reference to HSSFWorkbook ...");
                console.println ("\tIn method \"setHSSFWorkbook\" of class \"ExcelWorkbook\".");
            }
            
        }

        public ExcelSheet getSheet (String name) {
            ExcelSheet ret = null;
            HSSFSheet tmp = this.hssfWorkbook.getSheet (name);

            if (tmp != null) {
                ret = new ExcelSheet (tmp);
            } else {
                Console console = new Console ();
                console.println ("Exception: Getting a not defined Sheet, \"" + name + "\" ...");
                console.println ("\tIn method \"getSheet\" of class \"ExcelWorkbook\".");
            }

            return ret;
        }

}

